gnutls_mac_list(3)

NAME
gnutls_mac_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_mac_algorithm_t * gnutls_mac_list( void);

ARGUMENTS

void

DESCRIPTION

Get a list of hash algorithms for use as MACs. Note that not necessarily all MACs are supported in TLS cipher suites. This function is not thread safe.

RETURNS
Return a (0)-terminated list of gnutls_mac_algorithm_t integers indicating the available MACs.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/